Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sde
Class SDEUpdateHandler

    java.lang.Object
      org.deegree.io.datastore.sde.AbstractSDERequestHandler
          org.deegree.io.datastore.sde.SDEUpdateHandler

    public class SDEUpdateHandler

extends AbstractSDERequestHandler

Handler for `Update` operations contained in `Transaction` requests.

Version:
  $Revision: 12183 $
Author:
  Christoph Pollmann, last edited by: $Author: rbezema $

Field Summary

Fields inherited from class org.deegree.io.datastore.sde.AbstractSDERequestHandler
`aliasGenerator, conn, datastore, FT_COLUMN, FT_PREFIX`

Constructor Summary
`SDEUpdateHandler(SDETransaction dsTa, TableAliasGenerator aliasGenerator, SDEConnection conn)` Creates a new `UpdateHandler` from the given parameters.

Method Summary
`int` | `performUpdate(MappedFeatureType ft, Map<PropertyPath,FeatureProperty> properties, Filter filter)` Performs an update operation against the associated datastore.
`static String` | `typeName(int type)`

Methods inherited from class org.deegree.io.datastore.sde.AbstractSDERequestHandler
`buildColumnsMap, buildInitialFIDSelect, buildMappingFieldMap, determineAffectedFIDs, extractFeatureIds, getAliasGenerator, getConnection, getDatastore, getFeatureIdColumns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SDEUpdateHandler

    public SDEUpdateHandler(SDETransaction dsTa,
                            TableAliasGenerator aliasGenerator,
                            SDEConnection conn)

  Creates a new `UpdateHandler` from the given parameters.

  Parameters:
    `dsTa` -
    `aliasGenerator` -
    `conn` -

Method Detail

### performUpdate

    public int performUpdate(MappedFeatureType ft,
                             Map<PropertyPath,FeatureProperty> properties,
                             Filter filter)
                      throws DatastoreException

  Performs an update operation against the associated datastore.

  Parameters:
    `ft` -
    `properties` -
    `filter` -
  Returns:
    number of updated (root) feature instances
  Throws:
    `DatastoreException`

### typeName

    public static String typeName(int type)

  Parameters:
    `type` -
  Returns:
    the String mapped from the given type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org